liborigin2: Origin::SurfaceProperties Struct Reference

liborigin2 29/08/2011

Classes | Public Types | Public Attributes | List of all members
Origin::SurfaceProperties Struct Reference

`#include <OriginObj.h>`

## Classes
struct | SurfaceColoration

## Public Types
enum | Grids { None, X, Y, XY }
enum | Type { ColorMap3D, ColorFill, WireFrame, Bars }

## Public Attributes
Color | backColor
bool | backColorEnabled
SurfaceColoration | bottomContour
ColorMap | colorMap
Color | frontColor
Color | gridColor
double | gridLineWidth
Grids | grids
bool | sideWallEnabled
SurfaceColoration | surface
SurfaceColoration | topContour
unsigned char | type
Color | xSideWallColor
Color | ySideWallColor

## Member Enumeration Documentation

## ◆ Grids

enum Origin::SurfaceProperties::Grids

Enumerator
None |
X |
Y |
XY |

## ◆ Type

enum Origin::SurfaceProperties::Type

Enumerator
ColorMap3D |
ColorFill |
WireFrame |
Bars |

## Member Data Documentation

## ◆ backColor

Color Origin::SurfaceProperties::backColor

## ◆ backColorEnabled

bool Origin::SurfaceProperties::backColorEnabled

## ◆ bottomContour

SurfaceColoration Origin::SurfaceProperties::bottomContour

## ◆ colorMap

ColorMap Origin::SurfaceProperties::colorMap

## ◆ frontColor

Color Origin::SurfaceProperties::frontColor

## ◆ gridColor

Color Origin::SurfaceProperties::gridColor

## ◆ gridLineWidth

double Origin::SurfaceProperties::gridLineWidth

## ◆ grids

Grids Origin::SurfaceProperties::grids

## ◆ sideWallEnabled

bool Origin::SurfaceProperties::sideWallEnabled

## ◆ surface

SurfaceColoration Origin::SurfaceProperties::surface

## ◆ topContour

SurfaceColoration Origin::SurfaceProperties::topContour

## ◆ type

unsigned char Origin::SurfaceProperties::type

## ◆ xSideWallColor

Color Origin::SurfaceProperties::xSideWallColor

## ◆ ySideWallColor

Color Origin::SurfaceProperties::ySideWallColor

The documentation for this struct was generated from the following file:

- /build/liborigin2/src/liborigin2/OriginObj.h